Bug 196510 - No SVG output
No SVG output
Product: Fedora
Classification: Fedora
Component: pstoedit (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
Depends On: 201842
  Show dependency treegraph
Reported: 2006-06-23 16:22 EDT by Paul Smith
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-21 07:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
plotutils.spec (5.93 KB, text/plain)
2006-07-10 16:21 EDT, Marcus Brubaker
no flags Details

  None (edit)
Description Paul Smith 2006-06-23 16:22:58 EDT
pstoedit -f plot-svg figure.eps figure.svg

does not produce figure.svg

pstoedit 3.44
Comment 1 Denis Leroy 2006-06-23 20:50:18 EDT
pstoedit needs the GNU libplot to support that format, and libplot is not
available for Fedora Extras at this time. I'll try to package it when i get a
Comment 2 Paul Smith 2006-06-23 22:15:19 EDT
Thanks, Denis. I have plotutils installed and, even so, the reported problem
Comment 3 Denis Leroy 2006-06-24 15:01:24 EDT
Yes it's not a run-time dependency: pstoedit has to be recompiled explicitely
with libplot support....
Comment 4 Marcus Brubaker 2006-07-10 16:21:18 EDT
Created attachment 132195 [details]

Here is a plotutils spec file adapted from

I'm not convinced that it's 100% correct but it builds without error for me. 
There might need to be a call to fc-cache somewhere in the post(un) stages.
Comment 5 Denis Leroy 2006-08-21 07:47:34 EDT
Fixed. plotutils made it into Extras, and pstoedit is recompiled.

Note You need to log in before you can comment on or make changes to this bug.